# $Revision: 1.43 $, $Date: 2006/01/03 02:21:54 $
#
# Conditional build:
%bcond_without	ansi			# only unicode packages
%bcond_without	odbc			# without ODBC support
%bcond_without	x11			# don't build wxX11 packages
%bcond_with	debug			# build with \--enable-debug
					# (binary incompatible with non-debug)

Summary:	wxWidgets library
Summary(pl):	Biblioteka wxWidgets
Name:		wxWidgets
Version:	2.6.2
Release:	2
License:	wxWidgets Licence (LGPL with exception)
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/wxwindows/%{name}-%{version}.tar.bz2
# Source0-md5:	ee0aa211febd992c8540e6c9df749b51
Patch0:		%{name}-samples.patch
Patch1:		%{name}-ogl.patch
Patch2:		%{name}-ac.patch
Patch3:		%{name}-gif0delay.patch
Patch4:		%{name}-x11unicode.patch
Patch5:		%{name}-intl.patch
URL:		http://www.wxWidgets.org/
BuildRequires:	OpenGL-devel
BuildRequires:	SDL-devel
BuildRequires:	autoconf >= 2.58
BuildRequires:	automake
#BuildRequires:	bakefile >= 0.1.9
BuildRequires:	cppunit-devel
BuildRequires:	esound-devel
BuildRequires:	expat-devel
BuildRequires:	flex
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libmng-devel
BuildRequires:	libmspack-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
# these are not supported by wxWidgets
Obsoletes:	LDAPExplorerTool <= 0.6-1
Obsoletes:	abridge <= 0.4.0-1
# and these are replaced
Obsoletes:	wxGTK
Obsoletes:	wxGTK-devel
Obsoletes:	wxGTK-gl
Obsoletes:	wxGTK-gl-devel
Obsoletes:	wxGTK-univ
Obsoletes:	wxGTK-univ-devel
Obsoletes:	wxGTK-univ-gl
Obsoletes:	wxGTK-univ-gl-devel
Obsoletes:	wxGTK2-univ
Obsoletes:	wxGTK2-univ-devel
Obsoletes:	wxGTK2-univ-gl
Obsoletes:	wxGTK2-univ-gl-devel
Obsoletes:	wxGTK2-univ-unicode
Obsoletes:	wxGTK2-univ-unicode-devel
Obsoletes:	wxGTK2-univ-unicode-gl
Obsoletes:	wxGTK2-univ-unicode-gl-devel
Obsoletes:	wxMotif
Obsoletes:	wxMotif-devel
Obsoletes:	wxMotif-gl
Obsoletes:	wxMotif-gl-devel
Obsoletes:	wxWidgets-afm
Obsoletes:	wxWindows
Obsoletes:	wxWindows-afm
Obsoletes:	wxwin-afm
Obsoletes:	wxwin-common
Conflicts:	wxGTK2 < 2.6.0
Conflicts:	wxGTK2-unicode < 2.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%{_datadir}

%define		_noautoreqdep	libGL.so.1 libGLU.so.1

%description
wxWidgets is a free C++ library for cross-platform GUI development.
With wxWidgets, you can create applications for different GUIs (GTK+,
Motif/LessTif, MS Windows, Mac) from the same source code.

%description -l pl
wxWidgets to wolnodostpna biblioteka napisana w C++ umoliwiajca
rozwijanie wieloplatformowych programw GUI. Przy uyciu wxWidgets
mona tworzy aplikacje dla rnych GUI (GTK+, Motif/LessTif, MS
Windows, Mac) z tego samego kodu rdowego.

%package devel
Summary:	wxWidgets header files and development documentation
Summary(pl):	Pliki nagwkowe i dokumentacja do wxWidgets
Group:		X11/Development/Libraries
Requires:	libstdc++-devel
Obsoletes:	wxWindows-devel

%description devel
Header files and development documentation for the wxWidgets
libraries.

%description devel -l pl
Pliki nagwkowe i dokumentacja do bibliotek wxWidgets.

%package examples
Summary:	wxWidgets example programs
Summary(pl):	Przykadowe programy wxWidgets
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	wxWindows-examples

%description examples
wxWidgets example programs.

%description examples -l pl
Przykadowe programy wxWidgets.

%package HelpGen
Summary:	Help file generator for wxWidgets programs
Summary(pl):	Generator plikw pomocy dla programw wxWidgets
Group:		Development/Tools
Requires:	wxBase = %{version}-%{release}
Obsoletes:	wxWindows-HelpGen

%description HelpGen
Help file generator for wxWidgets programs.

%description HelpGen -l pl
Generator plikw pomocy dla programw wxWidgets.

%package -n wxBase
Summary:	wxBase library - non-GUI support classes of wxWidgets toolkit
Summary(pl):	wxBase - biblioteka klas wxWidgets nie zwizanych z GUI
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n wxBase
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date
manipulations, portable wrappers around many OS-specific functions
allowing to build the same program under all supported folders,
wxThread class for writing multithreaded programs using either Win32
or POSIX threads and much more. wxBase currently supports the
following platforms: Win32, generic Unix (Linux, FreeBSD, Solaris,
HP-UX, ...) and BeOS.

%description -n wxBase -l pl
wxBase jest zestawem klas C++ obsugujcych podstawowe struktury
danych (stringi, listy, tablice), klas wxDateTime do operacji na
datach, przenone wrappery do wielu funkcji zalenych od systemu
operacyjnego pozwalajce na zbudowanie tego samego programu w rnych
rodowiskach, klas wxThread do pisania programw wielowtkowych
uywajcych wtkw Win32 albo POSIX i inne. wxBase obsuguje
platformy: Win32, Unix i BeOS.

%package -n wxBase-devel
Summary:	wxBase headers needed for developping with wxBase
Summary(pl):	Pliki nagwkowe do wxBase
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	wxBase = %{version}-%{release}

%description -n wxBase-devel
Header files for wxBase. You need them to develop programs using
wxBase.

%description -n wxBase-devel -l pl
Pliki nagwkowe do biblioteki wxBase.

%package -n wxBase-unicode
Summary:	wxBase library - non-GUI support classes of wxWidgets toolkit with UNICODE support
Summary(pl):	wxBase - biblioteka klas wxWidgets nie zwizanych z GUI ze wsparciem dla UNICODE
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}

%description -n wxBase-unicode
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date
manipulations, portable wrappers around many OS-specific functions
allowing to build the same program under all supported folders,
wxThread class for writing multithreaded programs using either Win32
or POSIX threads and much more. wxBase currently supports the
following platforms: Win32, generic Unix (Linux, FreeBSD, Solaris,
HP-UX, ...) and BeOS. This version is build with UNICODE support.

%description -n wxBase-unicode -l pl
wxBase jest zestawem klas C++ obsugujcych podstawowe struktury
danych (stringi, listy, tablice), klas wxDateTime do operacji na
datach, przenone wrappery do wielu funkcji zalenych od systemu
operacyjnego pozwalajce na zbudowanie tego samego programu w rnych
rodowiskach, klas wxThread do pisania programw wielowtkowych
uywajcych wtkw Win32 albo POSIX i inne. wxBase obsuguje
platformy: Win32, Unix i BeOS. Ta wersja jest zbudowana z obsug
UNICODE.

%package -n wxBase-unicode-devel
Summary:	wxBase headers needed for developping with UNICODE-enabled wxBase
Summary(pl):	Pliki nagwkowe do wxBase z obsug UNICODE
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	wxBase-unicode = %{version}-%{release}

%description -n wxBase-unicode-devel
Header files for wxBase. You need them to develop programs using
UNICODE-enabled wxBase.

%description -n wxBase-unicode-devel -l pl
Pliki nagwkowe do biblioteki wxBase z obsug UNICODE.

%package -n wxGTK2
Summary:	wxGTK2 library
Summary(pl):	Biblioteka wxGTK2
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wxGTK2-univ

%description -n wxGTK2
wxWidgets library using GTK2 widgets.

%description -n wxGTK2 -l pl
Biblioteka wxWidgets uywajca widgetw GTK2.

%package -n wxGTK2-devel
Summary:	Header files for wxGTK2 library
Summary(pl):	Pliki nagwkowe biblioteki wxGTK2
Group:		X11/Development/Libraries
Requires:	wxBase-devel = %{version}-%{release}
Requires:	wxGTK2 = %{version}-%{release}
Obsoletes:	wxGTK2-univ-devel

%description -n wxGTK2-devel
Header files for wxWidgets library using GTK2 widgets.

%description -n wxGTK2-devel -l pl
Pliki nagwkowe dla biblioteki wxWidgets uywajcej widgetw GTK2.

%package -n wxGTK2-gl
Summary:	GL canvas library for wxGTK2
Summary(pl):	Biblioteka GL dla wxGTK2
Group:		X11/Libraries
Requires:	wxGTK2 = %{version}-%{release}
Requires:	OpenGL
Obsoletes:	wxGTK2-univ-gl

%description -n wxGTK2-gl
wxGTK2 GL canvas library.

%description -n wxGTK2-gl -l pl
Biblioteka GL dla wxGTK2.

%package -n wxGTK2-gl-devel
Summary:	Development files for GL canvas library for wxGTK2
Summary(pl):	Pliki programistyczne biblioteki GL dla wxGTK2
Group:		X11/Development/Libraries
Requires:	wxGTK2-devel = %{version}-%{release}
Requires:	wxGTK2-gl = %{version}-%{release}
Requires:	OpenGL-devel
Obsoletes:	wxGTK2-univ-gl-devel

%description -n wxGTK2-gl-devel
Development files for wxGTK2 GL canvas library.

%description -n wxGTK2-gl-devel -l pl
Pliki programistyczne biblioteki GL dla wxGTK2.

%package -n wxGTK2-unicode
Summary:	wxGTK2 library with UNICODE support
Summary(pl):	Biblioteka wxGTK2 z obsug UNICODE
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wxGTK2-univ-unicode

%description -n wxGTK2-unicode
wxWidgets library using GTK2 widgets with UNICODE support.

%description -n wxGTK2-unicode -l pl
Biblioteka wxWidgets uywajca widgetw GTK2 z obsug UNICODE.

%package -n wxGTK2-unicode-devel
Summary:	Header files for wxGTK2 library with UNICODE support
Summary(pl):	Pliki nagwkowe biblioteki wxGTK2 z obsug UNICODE
Group:		X11/Development/Libraries
Requires:	wxBase-unicode-devel = %{version}-%{release}
Requires:	wxGTK2-unicode = %{version}-%{release}
Obsoletes:	wxGTK2-univ-unicode-devel

%description -n wxGTK2-unicode-devel
Header files for wxWidgets library using GTK2 widgets with UNICODE
support.

%description -n wxGTK2-unicode-devel -l pl
Pliki nagwkowe biblioteki wxWidgets uywajcej widgetw GTK2 z
obsug UNICODE.

%package -n wxGTK2-unicode-gl
Summary:	GL canvas library for wxGTK2 with UNICODE support
Summary(pl):	Biblioteka GL dla wxGTK2 z obsug UNICODE
Group:		X11/Libraries
Requires:	wxGTK2-unicode = %{version}-%{release}
Requires:	OpenGL
Obsoletes:	wxGTK2-univ-unicode-gl

%description -n wxGTK2-unicode-gl
GL canvas library for wxGTK2 with UNICODE support.

%description -n wxGTK2-unicode-gl -l pl
Biblioteka GL dla wxGTK2 z obsug UNICODE.

%package -n wxGTK2-unicode-gl-devel
Summary:	Development files for GL canvas library for wxGTK2 with UNICODE support
Summary(pl):	Pliki programistyczne biblioteki GL dla wxGTK2 z obsug UNICODE
Group:		X11/Development/Libraries
Requires:	wxGTK2-unicode-devel = %{version}-%{release}
Requires:	wxGTK2-unicode-gl = %{version}-%{release}
Requires:	OpenGL-devel
Obsoletes:	wxGTK2-univ-unicode-gl-devel

%description -n wxGTK2-unicode-gl-devel
Development files for GL canvas library for wxGTK2 with UNICODE
support.

%description -n wxGTK2-unicode-gl-devel -l pl
Pliki programistyczne biblioteki GL dla wxGTK2 z obsug UNICODE.

%package utils
Summary:	Misc utils from wxWidgets project
Summary(pl):	Rne narzdzia z projektu wxWidgets
Group:		X11/Development/Tools
Requires:	wxX11 = %{version}-%{release}
Obsoletes:	wxWindows-utils

%description utils
Misc utils from wxWidgets project: helpviewer, makegen, etc.

%description utils -l pl
Rne narzdzia z projektu wxWidgets: helpviewer, makegen itp.

%package -n wxX11
Summary:	wxUniversal-based wxX11 library
Summary(pl):	Oparta na wxUniversal biblioteka wxX11
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wxX11-univ

%description -n wxX11
wxUniversal-based wxX11 library.

%description -n wxX11 -l pl
Oparta na wxUniversal biblioteka wxX11.

%package -n wxX11-devel
Summary:	Header files for wxUniversal-based wxX11 library
Summary(pl):	Pliki nagwkowe opartej na wxUniversal biblioteki wxX11
Group:		X11/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	wxX11 = %{version}-%{release}
Obsoletes:	wxX11-univ-devel

%description -n wxX11-devel
Header files for wxUniversal-based wxX11 library.

%description -n wxX11-devel -l pl
Pliki nagwkowe opartej na wxUniversal biblioteki wxX11.

%package -n wxX11-gl
Summary:	GL canvas library for wxUniversal-based wxX11
Summary(pl):	Biblioteka GL dla opartej na wxUniversal wxX11
Group:		X11/Libraries
Requires:	wxX11 = %{version}-%{release}
Requires:	OpenGL
Obsoletes:	wxX11-univ-gl

%description -n wxX11-gl
GL canvas library for wxUniversal-based wxX11.

%description -n wxX11-gl -l pl
Biblioteka GL dla opartej na wxUniversal wxX11.

%package -n wxX11-gl-devel
Summary:	Development files for GL canvas library for wxUniversal-based wxX11
Summary(pl):	Pliki programistyczne biblioteki GL dla opartej na wxUniversal wxX11
Group:		X11/Development/Libraries
Requires:	wxX11-gl = %{version}-%{release}
Requires:	wxX11-devel = %{version}-%{release}
Requires:	OpenGL-devel
Obsoletes:	wxX11-univ-gl-devel

%description -n wxX11-gl-devel
Development files for GL canvas library for wxUniversal-based wxX11.

%description -n wxX11-gl-devel -l pl
Pliki programistyczne biblioteki GL dla opartej na wxUniversal wxX11.

%package -n wxX11-unicode
Summary:	wxUniversal-based wxX11 library with UNICODE support
Summary(pl):	Oparta na wxUniversal biblioteka wxX11 z obsug UNICODE
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	wxX11-univ-unicode

%description -n wxX11-unicode
wxUniversal-based wxX11 library with UNICODE support.

%description -n wxX11-unicode -l pl
Oparta na wxUniversal biblioteka wxX11 z obsug UNICODE.

%package -n wxX11-unicode-devel
Summary:	Header files for wxUniversal-based wxX11 library with UNICODE support
Summary(pl):	Pliki nagwkowe opartej na wxUniversal biblioteki wxX11 z obsug UNICODE
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	wxX11-unicode = %{version}-%{release}
Obsoletes:	wxX11-univ-unicode-devel

%description -n wxX11-unicode-devel
Header files for wxUniversal-based wxX11 library with UNICODE support.

%description -n wxX11-unicode-devel -l pl
Pliki nagwkowe opartej na wxUniversal biblioteki wxX11 z obsug UNICODE.

%package -n wxX11-unicode-gl
Summary:	GL canvas library for wxUniversal-based wxX11 with UNICODE support
Summary(pl):	Biblioteka GL dla opartej na wxUniversal wxX11 z obsug UNICODE
Group:		X11/Libraries
Requires:	wxX11-unicode = %{version}-%{release}
Requires:	OpenGL
Obsoletes:	wxX11-univ-unicode-gl

%description -n wxX11-unicode-gl
GL canvas library for wxUniversal-based wxX11 with UNICODE support.

%description -n wxX11-unicode-gl -l pl
Biblioteka GL dla opartej na wxUniversal wxX11 z obsug UNICODE.

%package -n wxX11-unicode-gl-devel
Summary:	Development files for GL canvas library for wxX11 with UNICODE support
Summary(pl):	Pliki programistyczne biblioteki GL dla wxX11 z obsug UNICODE
Group:		X11/Development/Libraries
Requires:	wxX11-unicode-gl = %{version}-%{release}
Requires:	wxX11-unicode-devel = %{version}-%{release}
Requires:	OpenGL-devel
Obsoletes:	wxX11-univ-unicode-gl-devel

%description -n wxX11-unicode-gl-devel
Development files for GL canvas library for wxUniversal-based wxX11
with UNICODE support.

%description -n wxX11-unicode-gl-devel -l pl
Pliki programistyczne biblioteki GL dla opartej na wxUniversal wxX11 z
obsug UNICODE.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

echo 'AC_DEFUN([AM_PATH_GTK],[:])' > fake-am_path_gtk.m4

%build
# if bakefiles rebuild is needed:
#%if "%(rpm -q bakefile --qf '%%{VERSION}')" != "0.1.9"
#cd build/bakefiles
#bakefile_gen -f autoconf
#cd ../..
#%endif
cp -f /usr/share/automake/config.sub .
%{__aclocal} -I build/aclocal
%{__autoconf}

CPPFLAGS="%{rpmcflags} -I`pwd`/include -I/usr/X11R6/include"; export CPPFLAGS
# avoid adding -s to LDFLAGS
LDFLAGS=" "; export LDFLAGS
args="%{?with_debug:--enable-debug}%{!?with_debug:--disable-debug} \
	--enable-plugins \
	--enable-std_iostreams \
	--without-sdl \
	--with-opengl \
	--enable-calendar \
	--enable-controls \
	--enable-tabdialog"

gui='--with-gtk'
for unicode in %{?with_ansi:'--disable-unicode %{?with_odbc:--with-odbc}'} \
	'--enable-unicode' ; do
	objdir=`echo obj${gui}${unicode}|sed 's/ /_/g'`
	mkdir $objdir
	cd $objdir
	../%configure \
		${args} \
		${gui} \
		--disable-universal \
		${unicode}
	%{__make}
	%{__make} -C contrib/src
	cd ..
done

%if %{with x11}
gui='--with-x11'
for unicode in %{?with_ansi:'--disable-unicode %{?with_odbc:--with-odbc}'} \
	'--enable-unicode' ; do
	objdir=`echo obj${gui}${unicode}|sed 's/ /_/g'`
	mkdir $objdir
	cd $objdir
	../%configure \
		${args} \
		${gui} \
		--enable-universal \
		${unicode}
	%{__make}
	%{__make} -C contrib/src
	if echo $objdir| grep -q disable-unicode ; then
		%{__make} -C utils
		%{__make} -C utils/emulator
		%{__make} -C utils/hhp2cached
		%{__make} -C contrib/utils
	fi
	cd ..
done
%endif

cd locale
%{__make} allmo

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}

gui='--with-gtk'
for unicode in %{?with_ansi:'--disable-unicode %{?with_odbc:--with-odbc}'} \
	'--enable-unicode' ; do
	objdir=`echo obj${gui}${unicode}|sed 's/ /_/g'`
	cd $objdir
	%{__make} install \
		prefix=$RPM_BUILD_ROOT%{_prefix} \
		exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		datadir=$RPM_BUILD_ROOT%{_datadir} \
		libdir=$RPM_BUILD_ROOT%{_libdir} \
		mandir=$RPM_BUILD_ROOT%{_mandir} \
		includedir=$RPM_BUILD_ROOT%{_includedir}

	%{__make} -C contrib/src install \
		prefix=$RPM_BUILD_ROOT%{_prefix} \
		exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		datadir=$RPM_BUILD_ROOT%{_datadir} \
		libdir=$RPM_BUILD_ROOT%{_libdir} \
		mandir=$RPM_BUILD_ROOT%{_mandir} \
		includedir=$RPM_BUILD_ROOT%{_includedir}
	cd ..
done

%if %{with x11}
gui='--with-x11'
for unicode in %{?with_ansi:'--disable-unicode %{?with_odbc:--with-odbc}'} \
	'--enable-unicode' ; do
	objdir=`echo obj${gui}${unicode}|sed 's/ /_/g'`
	cd $objdir
	%{__make} install \
		prefix=$RPM_BUILD_ROOT%{_prefix} \
		exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		datadir=$RPM_BUILD_ROOT%{_datadir} \
		libdir=$RPM_BUILD_ROOT%{_libdir} \
		mandir=$RPM_BUILD_ROOT%{_mandir} \
		includedir=$RPM_BUILD_ROOT%{_includedir}
	if echo $objdir| grep -q disable-unicode ; then
#		install utils/dialoged/src/DialogEd $RPM_BUILD_ROOT%{_bindir}
		# TODO: install default config files and default backgrouds
		install utils/HelpGen/src/HelpGen $RPM_BUILD_ROOT%{_bindir}
		install utils/emulator/src/wxemulator $RPM_BUILD_ROOT%{_bindir}
		install utils/tex2rtf/src/tex2rtf $RPM_BUILD_ROOT%{_bindir}
		install utils/hhp2cached/hhp2cached $RPM_BUILD_ROOT%{_bindir}
#		install utils/makegen/makegen $RPM_BUILD_ROOT%{_bindir}
		install utils/wxrc/wxrc $RPM_BUILD_ROOT%{_bindir}
#		install -d $RPM_BUILD_ROOT%{_datadir}/wx/makegen/templates
#		install -m644 utils/makegen/templates/* \
#			$RPM_BUILD_ROOT%{_datadir}/wx/makegen/templates
#		install contrib/utils/wxrcedit/wxrcedit $RPM_BUILD_ROOT%{_bindir}
#		install -d $RPM_BUILD_ROOT%{_datadir}/wx/wxrcedit
#		install contrib/utils/wxrcedit/df/* \
#			$RPM_BUILD_ROOT%{_datadir}/wx/wxrcedit/
	fi

	%{__make} -C contrib/src install \
		prefix=$RPM_BUILD_ROOT%{_prefix} \
		exec_prefix=$RPM_BUILD_ROOT%{_exec_prefix} \
		bindir=$RPM_BUILD_ROOT%{_bindir} \
		datadir=$RPM_BUILD_ROOT%{_datadir} \
		libdir=$RPM_BUILD_ROOT%{_libdir} \
		mandir=$RPM_BUILD_ROOT%{_mandir} \
		includedir=$RPM_BUILD_ROOT%{_includedir}

	cd ..
done
%endif

set -x

for i in $RPM_BUILD_ROOT%{_libdir}/wx/config/*
do
	b=`basename $i`
	cp $i $RPM_BUILD_ROOT%{_bindir}/wx-`echo $b|sed -e 's/\(.*\)-release-.*/\1/'`-config
done

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a demos samples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -f docs/x11/readme.txt docs/wxX11-readme.txt

%find_lang wxstd

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n wxBase -p /sbin/ldconfig
%postun -n wxBase -p /sbin/ldconfig

%post	-n wxBase-unicode -p /sbin/ldconfig
%postun -n wxBase-unicode -p /sbin/ldconfig

%post	-n wxGTK2 -p /sbin/ldconfig
%postun -n wxGTK2 -p /sbin/ldconfig

%post	-n wxGTK2-gl -p /sbin/ldconfig
%postun -n wxGTK2-gl -p /sbin/ldconfig

%post	-n wxGTK2-unicode -p /sbin/ldconfig
%postun -n wxGTK2-unicode -p /sbin/ldconfig

%post	-n wxGTK2-unicode-gl -p /sbin/ldconfig
%postun -n wxGTK2-unicode-gl -p /sbin/ldconfig

%post	-n wxX11 -p /sbin/ldconfig
%postun -n wxX11 -p /sbin/ldconfig

%post	-n wxX11-unicode -p /sbin/ldconfig
%postun -n wxX11-unicode -p /sbin/ldconfig

%define _libf %{?with_debug:d}
%define _configf %{?with_debug:-debug-2.6}


%files -f wxstd.lang
%defattr(644,root,root,755)
%doc docs/{changes,licence,licendoc,preamble,readme,todo}.txt

%files devel
%defattr(644,root,root,755)
%doc docs/html
%doc docs/tech docs/univ
%{_includedir}/wx*
%dir %{_libdir}/wx
%dir %{_libdir}/wx/include
%dir %{_libdir}/wx/config
%{_aclocaldir}/*.m4

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%if %{with x11}
%files HelpGen
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/HelpGen
%endif

%if %{with ansi}
%files -n wxBase
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_base%{_libf}-*.so.*.*
%attr(755,root,root) %{_libdir}/libwx_base%{_libf}_*.so.*.*
#%attr(755,root,root) %{_libdir}/wx/%{version}/sound_sdl-*.so

%files -n wxBase-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_base%{_libf}-*.so
%{_libdir}/libwx_base%{_libf}_*.so
%endif

%files -n wxBase-unicode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_baseu%{_libf}-*.so.*.*
%attr(755,root,root) %{_libdir}/libwx_baseu%{_libf}_*.so.*.*
#%attr(755,root,root) %{_libdir}/wx/%{version}/sound_sdlu-*.so

%files -n wxBase-unicode-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_baseu%{_libf}-*.so
%{_libdir}/libwx_baseu%{_libf}_*.so

%if %{with ansi}
%files -n wxGTK2
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2%{_libf}_*.so.*.*
%exclude %{_libdir}/libwx_gtk2%{_libf}_ogl-*.so.*.*

%files -n wxGTK2-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_gtk2%{_libf}_*-*.so
%exclude %{_libdir}/libwx_gtk2%{_libf}_ogl-*.so
%{_libdir}/wx/config/gtk2-ansi-*
%{_libdir}/wx/include/gtk2-ansi-*
%attr(755,root,root) %{_bindir}/wx-gtk2-ansi%{_configf}-config

%files -n wxGTK2-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2%{_libf}_ogl-*.so.*.*

%files -n wxGTK2-gl-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_gtk2%{_libf}_ogl-*.so
%endif

%files -n wxGTK2-unicode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2u%{_libf}_*-*.so.*.*
%exclude %{_libdir}/libwx_gtk2u%{_libf}_ogl-*.so.*.*

%files -n wxGTK2-unicode-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_gtk2u%{_libf}_*-*.so
%exclude %{_libdir}/libwx_gtk2u%{_libf}_ogl-*.so
%{_libdir}/wx/config/gtk2-unicode-*
%{_libdir}/wx/include/gtk2-unicode-*
%attr(755,root,root) %{_bindir}/wx-gtk2-unicode%{_configf}-config

%files -n wxGTK2-unicode-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_gtk2u%{_libf}_ogl-*.so.*.*

%files -n wxGTK2-unicode-gl-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_gtk2u%{_libf}_ogl-*.so

%if %{with x11}
%if %{with ansi}
%files utils
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%exclude %{_bindir}/HelpGen
%exclude %{_bindir}/wx*-config

%files -n wxX11
%defattr(644,root,root,755)
%doc docs/wxX11-readme.txt
%attr(755,root,root) %{_libdir}/libwx_x11univ%{_libf}_*-*.so.*.*
%exclude %{_libdir}/libwx_x11univ%{_libf}_ogl-*.so.*.*

%files -n wxX11-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_x11univ%{_libf}_*-*.so
%exclude %{_libdir}/libwx_x11univ%{_libf}_ogl-*.so
%{_libdir}/wx/config/x11univ-ansi-*
%{_libdir}/wx/include/x11univ-ansi-*
%attr(755,root,root) %{_bindir}/wx-x11univ-ansi%{_configf}-config

%files -n wxX11-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univ%{_libf}_ogl-*.so.*.*

%files -n wxX11-gl-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_x11univ%{_libf}_ogl-*.so
%endif

%files -n wxX11-unicode
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univu%{_libf}_*-*.so.*.*
%exclude %{_libdir}/libwx_x11univu%{_libf}_ogl-*.so.*.*

%files -n wxX11-unicode-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_x11univu%{_libf}_*-*.so
%exclude %{_libdir}/libwx_x11univu%{_libf}_ogl-*.so
%{_libdir}/wx/config/x11univ-unicode-*
%{_libdir}/wx/include/x11univ-unicode-*
%attr(755,root,root) %{_bindir}/wx-x11univ-unicode%{_configf}-config

%files -n wxX11-unicode-gl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwx_x11univu%{_libf}_ogl-*.so.*.*

%files -n wxX11-unicode-gl-devel
%defattr(644,root,root,755)
%{_libdir}/libwx_x11univu%{_libf}_ogl-*.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wxWidgets.spec,v $
Revision 1.43  2006/01/03 02:21:54  charles
- added -intl.patch (fix unicode convert)
- rel. 2, STBR

Revision 1.42  2005/10/13 18:17:18  qboosh
- BR: libmspack-devel (used if found)

Revision 1.41  2005/10/13 16:54:24  qboosh
- updated to 2.6.2
- updated ogl patch, removed obsolete pangox patch, added x11unicode patch

Revision 1.40  2005/09/05 05:50:43  qboosh
- added pangox patch (needed for gtk+ 2.8.x compatibility); release 2

Revision 1.39  2005/08/08 21:36:14  maho
- if "--with debug" passed %files section was incorrect: fixed

Revision 1.38  2005/06/07 03:28:30  jareq

- 'AC_DEFUN([AM_PATH_GTK]' back. My fault.

Revision 1.37  2005/06/06 20:44:35  jareq
- updated to 2.6.1
- rel 1

Revision 1.36  2005/06/01 21:43:21  ankry
- versioned O:

Revision 1.35  2005/06/01 21:38:32  ankry
- O: LDAPExplorerTool and abridge; nobody wants to fix them
- rel. 4

Revision 1.34  2005/05/13 22:15:29  ankry
- rel. 3

Revision 1.33  2005/05/13 19:26:42  ankry
- C: for clean(?) upgrade

Revision 1.32  2005/05/01 00:44:27  qboosh
- release 2

Revision 1.31  2005/04/30 17:39:27  qboosh
- more cleanups

Revision 1.30  2005/04/30 17:31:07  qboosh
- added Obsoletes for *-afm; wxX11 builds again

Revision 1.29  2005/04/30 13:05:22  qboosh
- use just --with-gtk consequently

Revision 1.28  2005/04/30 09:04:46  qboosh
- fixed thinko, small cleanup

Revision 1.27  2005/04/29 15:45:25  ciesiel
- rel. 1

Revision 1.26  2005/04/26 04:21:45  ciesiel
- removed patch 1 (included with new source)
- build now (need tests)

Revision 1.25  2005/04/25 20:52:26  ciesiel
- upgraded to version 2.6.0
- not tested!

Revision 1.24  2005/04/11 14:03:10  charles
- reverted BR: expat-devel (req. directly, whatever this means...)

Revision 1.23  2005/04/09 15:01:45  charles
- BR: pkgconfig
- rm expat-devel (installed with OpenGL-devel)
- rm pango-devel (installed with gtk+2-devel)

Revision 1.22  2005/04/08 15:09:48  jareq
- updated to 2.5.5
- rel 0.1

Revision 1.21  2005/04/01 04:38:34  arekm
- don't require non-existing afm subpackage

Revision 1.20  2005/03/10 18:01:58  wolf
- builds

Revision 1.19  2005/03/01 18:40:13  qboosh
- fixed line numbers; bakefile 0.1.7 is used now

Revision 1.18  2005/03/01 14:02:23  troll
- up to 2.5.4,
- disabled Source1 because it's redundant now,
- rel 0.1, NFY

Revision 1.17  2005/02/22 19:30:12  qboosh
- builds with bakefile 0.1.7 installed (is it used at all now?)

Revision 1.16  2005/02/21 23:08:04  qboosh
- try to avoid dependency on old bakefile (testing)

Revision 1.15  2005/02/21 07:48:52  qboosh
- eh, action-if-not-found is always empty

Revision 1.14  2005/02/20 20:15:35  qboosh
- added ac,gif0delay (from wxWindows 2.4.x)
- bison seems not used

Revision 1.13  2005/02/20 11:09:44  qboosh
- simplified hack, behave as gtk 1.x is not installed

Revision 1.12  2005/02/20 05:34:14  maho
- fixed problem with AM_PATH_GTK. now it can build even if there is no gtk1 devel installed

Revision 1.11  2005/01/23 13:59:35  radzio
merge from DEVEL

Revision 1.10.2.1  2005/01/23 03:01:33  charles
- added new bcond_without ansi (only unicode)
- removed -eggtrayicon.patch (it's in Source1)
- updated -ogl.patch for fix deprecated lib
- BR bakefile down to 1.4.0
- removed bakefile_gen
- small fix in %files

Revision 1.10  2005/01/21 16:13:18  wiget
- fix building OGL contrib lib (link with deprecated contrib lib for wxExpr)

Revision 1.9  2005/01/20 14:18:31  charles
- fix options and files
- added bcond_without x11

Revision 1.8  2005/01/18 20:42:44  wolf
- fixed devel packages

Revision 1.7  2005/01/18 20:05:55  wolf
- massive cleanup

Revision 1.6  2005/01/10 17:59:48  charles
- added -utils-patch [-1 TODO: utils/configtool does not build
 (missing source file)]

Revision 1.5  2004/12/03 13:13:47  cieciwa
- added missing eggtrayicon.h file.

Revision 1.4  2004/12/03 12:42:13  cieciwa
- version 2.5.3,
- Motif default is OFF.

Revision 1.3  2004/10/31 13:31:28  paladine
- spaces->tabs

Revision 1.2  2004/10/28 09:58:33  paladine
- "GTK+" unification (hope thats all)

Revision 1.1  2004/07/23 10:17:36  wiget
- initial, based on wxWindows.spec, many work to do before finish but now I going to holydays. CU
